- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties

# QMdiArea Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qmdiarea.h.

`#include <qmdiarea.h>`

Inheritance diagram for QMdiArea:
[legend]

List of all members.

## Public Types
enum | AreaOption { DontMaximizeSubWindowOnActivation = 0x1 }
enum | WindowOrder { CreationOrder, StackingOrder, ActivationHistoryOrder }
enum | ViewMode { SubWindowView, TabbedView }
## Public Slots
void | setActiveSubWindow (QMdiSubWindow *window)
void | tileSubWindows ()
void | cascadeSubWindows ()
void | closeActiveSubWindow ()
void | closeAllSubWindows ()
void | activateNextSubWindow ()
void | activatePreviousSubWindow ()
## Signals
void | subWindowActivated (QMdiSubWindow *)
## Public Member Functions
| QMdiArea (QWidget *parent=0)
| ~QMdiArea ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
QMdiSubWindow * | currentSubWindow () const
QMdiSubWindow * | activeSubWindow () const
QList< QMdiSubWindow * > | subWindowList (WindowOrder order=CreationOrder) const
QMdiSubWindow * | addSubWindow (QWidget *widget, Qt::WindowFlags flags=0)
void | removeSubWindow (QWidget *widget)
QBrush | background () const
void | setBackground (const QBrush &background)
WindowOrder | activationOrder () const
void | setActivationOrder (WindowOrder order)
void | setOption (AreaOption option, bool on=true)
bool | testOption (AreaOption opton) const
void | setViewMode (ViewMode mode)
ViewMode | viewMode () const
bool | documentMode () const
void | setDocumentMode (bool enabled)
void | setTabShape (QTabWidget::TabShape shape)
QTabWidget::TabShape | tabShape () const
void | setTabPosition (QTabWidget::TabPosition position)
QTabWidget::TabPosition | tabPosition () const
## Protected Slots
void | setupViewport (QWidget *viewport)
## Protected Member Functions
bool | event (QEvent *event)
bool | eventFilter (QObject *object, QEvent *event)
void | paintEvent (QPaintEvent *paintEvent)
void | childEvent (QChildEvent *childEvent)
void | resizeEvent (QResizeEvent *resizeEvent)
void | timerEvent (QTimerEvent *timerEvent)
void | showEvent (QShowEvent *showEvent)
bool | viewportEvent (QEvent *event)
void | scrollContentsBy (int dx, int dy)
## Properties
QBrush | background
WindowOrder | activationOrder
ViewMode | viewMode
bool | documentMode
QTabWidget::TabShape | tabShape
QTabWidget::TabPosition | tabPosition

## Member Enumeration Documentation

enum AreaOption

Search for all occurrences

Enumerator:

  DontMaximizeSubWindowOnActivation | Search for all occurrences

Definition at line 75 of file qmdiarea.h.

                        {
            DontMaximizeSubWindowOnActivation = 0x1
        };

enum WindowOrder

Search for all occurrences

Enumerator:

  CreationOrder | Search for all occurrences
  StackingOrder | Search for all occurrences
  ActivationHistoryOrder | Search for all occurrences

Definition at line 80 of file qmdiarea.h.

                         {
            CreationOrder,
            StackingOrder,
            ActivationHistoryOrder
        };

enum ViewMode

Search for all occurrences

Enumerator:

  SubWindowView | Search for all occurrences
  TabbedView | Search for all occurrences

Definition at line 86 of file qmdiarea.h.

                      {
            SubWindowView,
            TabbedView
        };

## Constructor & Destructor Documentation

QMdiArea | ( | QWidget * | parent = `0` | ) |

~QMdiArea | ( |  | ) |

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

QMdiSubWindow* currentSubWindow | ( |  | ) | const

Search for all occurrences

QMdiSubWindow* activeSubWindow | ( |  | ) | const

Search for all occurrences

QList<QMdiSubWindow *> subWindowList | ( | WindowOrder | order = `CreationOrder` | ) | const

Search for all occurrences

QMdiSubWindow* addSubWindow | ( | QWidget * | widget,
|  | Qt::WindowFlags | flags = `0`
| ) |  |

Search for all occurrences

void removeSubWindow | ( | QWidget * | widget | ) |

Search for all occurrences

QBrush background | ( |  | ) | const

Search for all occurrences

void setBackground | ( | const QBrush & | background | ) |

Search for all occurrences

WindowOrder activationOrder | ( |  | ) | const

Search for all occurrences

void setActivationOrder | ( | WindowOrder | order | ) |

Search for all occurrences

void setOption | ( | AreaOption | option,
|  | bool | on = `true`
| ) |  |

Search for all occurrences

bool testOption | ( | AreaOption | opton | ) | const

Search for all occurrences

void setViewMode | ( | ViewMode | mode | ) |

Search for all occurrences

ViewMode viewMode | ( |  | ) | const

Search for all occurrences

bool documentMode | ( |  | ) | const

Search for all occurrences

void setDocumentMode | ( | bool | enabled | ) |

Search for all occurrences

void setTabShape | ( | QTabWidget::TabShape | shape | ) |

Search for all occurrences

QTabWidget::TabShape tabShape | ( |  | ) | const

Search for all occurrences

void setTabPosition | ( | QTabWidget::TabPosition | position | ) |

Search for all occurrences

QTabWidget::TabPosition tabPosition | ( |  | ) | const

Search for all occurrences

void subWindowActivated | ( | QMdiSubWindow * |  | ) | `[signal]`

Search for all occurrences

void setActiveSubWindow | ( | QMdiSubWindow * | window | ) | `[slot]`

Search for all occurrences

void tileSubWindows | ( |  | ) | `[slot]`

Search for all occurrences

void cascadeSubWindows | ( |  | ) | `[slot]`

Search for all occurrences

void closeActiveSubWindow | ( |  | ) | `[slot]`

Search for all occurrences

void closeAllSubWindows | ( |  | ) | `[slot]`

Search for all occurrences

void activateNextSubWindow | ( |  | ) | `[slot]`

Search for all occurrences

void activatePreviousSubWindow | ( |  | ) | `[slot]`

Search for all occurrences

void setupViewport | ( | QWidget * | viewport | ) | `[protected, slot]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

bool eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void paintEvent | ( | QPaintEvent * | paintEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

void childEvent | ( | QChildEvent * | childEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void resizeEvent | ( | QResizeEvent * | resizeEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

void timerEvent | ( | QTimerEvent * | timerEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void showEvent | ( | QShowEvent * | showEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool viewportEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

void scrollContentsBy | ( | int | dx,
|  | int | dy
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractScrollArea.

## Property Documentation

QBrush background `[read, write]`

Search for all occurrences

Definition at line 63 of file qmdiarea.h.

WindowOrder activationOrder `[read, write]`

Search for all occurrences

Definition at line 64 of file qmdiarea.h.

ViewMode viewMode `[read, write]`

Search for all occurrences

Definition at line 65 of file qmdiarea.h.

bool documentMode `[read, write]`

Search for all occurrences

Definition at line 67 of file qmdiarea.h.

QTabWidget::TabShape tabShape `[read, write]`

Search for all occurrences

Definition at line 70 of file qmdiarea.h.

QTabWidget::TabPosition tabPosition `[read, write]`

Search for all occurrences

Definition at line 71 of file qmdiarea.h.

The documentation for this class was generated from the following file:

- QtGui/qmdiarea.h

QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea
QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea QMdiArea